Skip to main content
PATCH
/
assets
/
{assetId}
cURL
curl --request PATCH \
  --url https://api.example.com/assets/{assetId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "customFields": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "name": "<string>",
  "externalAssetId": "<string>",
  "startedAt": "<string>",
  "stoppedAt": "<string>"
}
'
import requests

url = "https://api.example.com/assets/{assetId}"

payload = {
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"externalAssetId": "<string>",
"startedAt": "<string>",
"stoppedAt": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customFields: [{key: '<string>', value: '<string>'}],
name: '<string>',
externalAssetId: '<string>',
startedAt: '<string>',
stoppedAt: '<string>'
})
};

fetch('https://api.example.com/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Path Parameters

assetId
string
required

assetId

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string

Optional: the branchId

Body

application/json
customFields
object[]

custom fields per product

name
string

Optional: Name of the entity

externalAssetId
string

externalAssetId

startedAt
string

startedAt

stoppedAt
string

stoppedAt

Response

The response is of type object.